# this is _events.js

setEvents([\
||begin_list_cal_events|| \
  ||if(not(blank(event_uid)))||\
	||ifdef||done_some||,||endif||

	  {cal_id:'||event_cal||', 	cal_id_orig:'||event_cal||', \
	  	t1:||event_type||(||event_t1||),t1s:tut(||event_t1||),  t2:||event_type||(||event_t2||),t2s:tut(||event_t2||), \
	  	desc:'||web_encode_js(event_desc)||', \
	  	uid:'||event_uid||', uri:'||event_uri||', alert1:'||event_alert1||', alert2:'||event_alert2||', \
	  	location:'||web_encode_js(event_location)||', \
||if(cal_invite_disable)|| \
	  	invitees: '||web_encode_js(event_invitees)||', \
||else||\
	  	attendees: ||json_validate(event_attendees)||, \
||endif||\
	  	url:'||web_encode_js(event_url)||',\
	  	note:'||web_encode_js(event_note)||', clr:'||event_color||', \
	  	allday:||event_allday||, subday:||event_subday||, combi:||event_combi||, \
	  	readonly:||event_readonly||, locked:||event_locked||, \
	  	rid:'||event_rid||', repeat:||event_repeat||, repeat_orig:||event_repeat||,\
	  	els:[]\
	  }\
	||define||done_some||true||\
  ||endif||\
||end_list_cal_events||
]);
